Create template
curl --request POST \
--url https://staging.api.commercengine.io/api/v1/{store_id}/admin/store/templates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"content": "<string>",
"description": "<string>",
"activity": "<string>",
"content_title": "<string>"
}
'import requests
url = "https://staging.api.commercengine.io/api/v1/{store_id}/admin/store/templates"
payload = {
"name": "<string>",
"content": "<string>",
"description": "<string>",
"activity": "<string>",
"content_title": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
content: '<string>',
description: '<string>',
activity: '<string>',
content_title: '<string>'
})
};
fetch('https://staging.api.commercengine.io/api/v1/{store_id}/admin/store/templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"success": true,
"content": {
"template": {
"name": "<string>",
"template_type": "terms-of-service",
"content_type": "html",
"content": "<string>",
"id": "<string>",
"description": "<string>",
"activity": "<string>",
"content_title": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z"
}
}
}Store
Create template
Create template
POST
/
store
/
templates
Create template
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Available options:
terms-of-service, refund-policy, email, invoice, web-layer, whatsapp, chat, push-notification, webhook Available options:
html, markdown, plaintext example - signup, order-confirmation, order-cancelled, order-refunded, cart-abandoned, etc.
to be used in email subject, notification heading if provided.
Was this page helpful?
⌘I